Page MenuHome

Crash after set language to Simplified Chinese
Closed, ResolvedPublic

Description

System Information
MacBook Pro (15-inch, 2017)
Radeon Pro 560 4096 MB
Intel HD Graphics 630 1536 MB

Blender Version
Broken: 2.80 Alpha 2, Hash: a0581daf753
Worked: (optional)

Short description of error
If you change the language to Simplified Chinese, it will crash at next open.

Exact steps for others to reproduce the error
Edit > User Preferences > System > International Fonts > Language : set to Simplified Chinese
Then in Tanslate, press Interface, Tooltips, and New Data.

Details

Type
Bug

Event Timeline

Bastien Montagne (mont29) triaged this task as Needs Information from User priority.

Cannot reproduce here on linux… @Brecht Van Lommel (brecht), can you check on OSX?
@Yanbo Zhang (FrogMan) does it also happen if you start blender with --factory-startup option, make that UI translation change, save user settings and restart?

I couldn't reproduce the crash on macOS.

Can you attach a crash log? Either there will be a window popping up after the crash where you can get it, or Applications > Utilities > Console > System Reports likely has a Blender crash log with a matching date.

@Brecht Van Lommel (brecht) Van Lommel (brecht) , Hi, here is the crash log:

Process: blender [17049]
Path: /Applications/blender.app/Contents/MacOS/blender
Identifier: org.blenderfoundation.blender
Version: 2.80 (2.80 2018-09-11, Blender Foundation)
Code Type: X86-64 (Native)
Parent Process: ??? [1]
Responsible: blender [17049]
User ID: 501

Date/Time: 2018-09-12 08:34:19.111 -0700
OS Version: Mac OS X 10.13.6 (17G65)
Report Version: 12
Bridge OS Version: 3.0 (14Y664)
Anonymous UUID: 94B5810A-84DF-281E-9691-A20D32AEDB05

Sleep/Wake UUID: E5A66735-AA3F-47C8-A286-057C698633BB

Time Awake Since Boot: 410000 seconds
Time Since Wake: 45 seconds

System Integrity Protection: enabled

Crashed Thread: 21

Exception Type: EXC_CRASH (SIGABRT)
Exception Codes: 0x0000000000000000, 0x0000000000000000
Exception Note: EXC_CORPSE_NOTIFY

Application Specific Information:
terminating with uncaught exception of type std::bad_cast: std::bad_cast
abort() called

Thread 0:: Dispatch queue: com.apple.main-thread
0 libsystem_kernel.dylib 0x00007fff7b87fb66 pthread_kill + 10
1 libsystem_pthread.dylib 0x00007fff7ba4a080 pthread_kill + 333
2 libsystem_c.dylib 0x00007fff7b7db24d
abort + 144
3 libsystem_c.dylib 0x00007fff7b7db1bd abort + 142
4 libc++abi.dylib 0x00007fff796d5f8f abort_message + 245
5 libc++abi.dylib 0x00007fff796d6113 default_terminate_handler() + 241
6 libobjc.A.dylib 0x00007fff7ab17eab _objc_terminate() + 105
7 libc++abi.dylib 0x00007fff796f17c9 std::terminate(void (*)()) + 8
8 libc++abi.dylib 0x00007fff796f126f
cxa_throw + 121
9 libc++.1.dylib 0x00007fff796abbe7 std::1::locale::imp::use_facet(long) const + 79
10 org.blenderfoundation.blender 0x00000001089a7c70 bl_locale_pgettext + 48
11 org.blenderfoundation.blender 0x000000010767185a BLT_translate_do_new_dataname + 74
12 org.blenderfoundation.blender 0x000000010715671c BKE_node_copy_ex + 92
13 org.blenderfoundation.blender 0x000000010715704e BKE_node_tree_copy_data + 142
14 org.blenderfoundation.blender 0x00000001071052d8 BKE_id_copy_ex + 696
15 org.blenderfoundation.blender 0x0000000107463d46 DEG::deg_expand_copy_on_write_datablock(DEG::Depsgraph const*, DEG::IDDepsNode const*, DEG::DepsgraphNodeBuilder*, bool) + 662
16 org.blenderfoundation.blender 0x0000000107464743 DEG::deg_update_copy_on_write_datablock(DEG::Depsgraph const*, DEG::IDDepsNode const*) + 515
17 org.blenderfoundation.blender 0x000000010746396c DEG::deg_task_run_func(TaskPool*, void*, int) + 140
18 org.blenderfoundation.blender 0x000000010744b1f6 BLI_task_pool_work_and_wait + 390
19 org.blenderfoundation.blender 0x00000001074636d4 DEG::deg_evaluate_on_refresh(DEG::Depsgraph*) + 788
20 org.blenderfoundation.blender 0x00000001071b5372 BKE_scene_graph_update_tagged + 402
21 org.blenderfoundation.blender 0x00000001069215da wm_event_do_depsgraph + 218
22 org.blenderfoundation.blender 0x000000010692ac0c wm_file_read_post + 108
23 org.blenderfoundation.blender 0x000000010692b578 wm_homefile_read + 1608
24 org.blenderfoundation.blender 0x0000000106932203 WM_init + 307
25 org.blenderfoundation.blender 0x000000010691a0a0 main + 752
26 libdyld.dylib 0x00007fff7b72f015 start + 1

Thread 1:
0 libsystem_kernel.dylib 0x00007fff7b87fa16 psynch_cvwait + 10
1 libsystem_pthread.dylib 0x00007fff7ba48589 _pthread_cond_wait + 732
2 libc++.1.dylib 0x00007fff79683cb0 std::
1::condition_variable::wait(std::1::unique_lock<std::1::mutex>&) + 18
3 org.blenderfoundation.blender 0x0000000109886b33 IlmThread_2_3::Semaphore::wait() + 147
4 org.blenderfoundation.blender 0x0000000109884092 IlmThread_2_3::(anonymous namespace)::DefaultWorkerThread::run() + 66
5 org.blenderfoundation.blender 0x0000000109886587 void* std::1::thread_proxy<std::1::tuple<std::1::unique_ptr<std::1::thread_struct, std::1::default_delete<std::1::__thread_struct> >, void (IlmThread_2_3::Thread::*)(), IlmThread_2_3::Thread*> >(void*) + 663
6 libsystem_pthread.dylib 0x00007fff7ba47661 _pthread_body + 340
7 libsystem_pthread.dylib 0x00007fff7ba4750d _pthread_start + 377
8 libsystem_pthread.dylib 0x00007fff7ba46bf9 thread_start + 13

Thread 2:
0 libsystem_kernel.dylib 0x00007fff7b87fa16 psynch_cvwait + 10
1 libsystem_pthread.dylib 0x00007fff7ba48589 _pthread_cond_wait + 732
2 libc++.1.dylib 0x00007fff79683cb0 std::
1::condition_variable::wait(std::1::unique_lock<std::1::mutex>&) + 18
3 org.blenderfoundation.blender 0x0000000109886b33 IlmThread_2_3::Semaphore::wait() + 147
4 org.blenderfoundation.blender 0x0000000109884092 IlmThread_2_3::(anonymous namespace)::DefaultWorkerThread::run() + 66
5 org.blenderfoundation.blender 0x0000000109886587 void* std::1::thread_proxy<std::1::tuple<std::1::unique_ptr<std::1::thread_struct, std::1::default_delete<std::1::__thread_struct> >, void (IlmThread_2_3::Thread::*)(), IlmThread_2_3::Thread*> >(void*) + 663
6 libsystem_pthread.dylib 0x00007fff7ba47661 _pthread_body + 340
7 libsystem_pthread.dylib 0x00007fff7ba4750d _pthread_start + 377
8 libsystem_pthread.dylib 0x00007fff7ba46bf9 thread_start + 13

Thread 3:
0 libsystem_kernel.dylib 0x00007fff7b87fa16 psynch_cvwait + 10
1 libsystem_pthread.dylib 0x00007fff7ba48589 _pthread_cond_wait + 732
2 libc++.1.dylib 0x00007fff79683cb0 std::
1::condition_variable::wait(std::1::unique_lock<std::1::mutex>&) + 18
3 org.blenderfoundation.blender 0x0000000109886b33 IlmThread_2_3::Semaphore::wait() + 147
4 org.blenderfoundation.blender 0x0000000109884092 IlmThread_2_3::(anonymous namespace)::DefaultWorkerThread::run() + 66
5 org.blenderfoundation.blender 0x0000000109886587 void* std::1::thread_proxy<std::1::tuple<std::1::unique_ptr<std::1::thread_struct, std::1::default_delete<std::1::__thread_struct> >, void (IlmThread_2_3::Thread::*)(), IlmThread_2_3::Thread*> >(void*) + 663
6 libsystem_pthread.dylib 0x00007fff7ba47661 _pthread_body + 340
7 libsystem_pthread.dylib 0x00007fff7ba4750d _pthread_start + 377
8 libsystem_pthread.dylib 0x00007fff7ba46bf9 thread_start + 13

Thread 4:
0 libsystem_kernel.dylib 0x00007fff7b87fa16 psynch_cvwait + 10
1 libsystem_pthread.dylib 0x00007fff7ba48589 _pthread_cond_wait + 732
2 libc++.1.dylib 0x00007fff79683cb0 std::
1::condition_variable::wait(std::1::unique_lock<std::1::mutex>&) + 18
3 org.blenderfoundation.blender 0x0000000109886b33 IlmThread_2_3::Semaphore::wait() + 147
4 org.blenderfoundation.blender 0x0000000109884092 IlmThread_2_3::(anonymous namespace)::DefaultWorkerThread::run() + 66
5 org.blenderfoundation.blender 0x0000000109886587 void* std::1::thread_proxy<std::1::tuple<std::1::unique_ptr<std::1::thread_struct, std::1::default_delete<std::1::__thread_struct> >, void (IlmThread_2_3::Thread::*)(), IlmThread_2_3::Thread*> >(void*) + 663
6 libsystem_pthread.dylib 0x00007fff7ba47661 _pthread_body + 340
7 libsystem_pthread.dylib 0x00007fff7ba4750d _pthread_start + 377
8 libsystem_pthread.dylib 0x00007fff7ba46bf9 thread_start + 13

Thread 5:
0 libsystem_kernel.dylib 0x00007fff7b87fa16 psynch_cvwait + 10
1 libsystem_pthread.dylib 0x00007fff7ba48589 _pthread_cond_wait + 732
2 libc++.1.dylib 0x00007fff79683cb0 std::
1::condition_variable::wait(std::1::unique_lock<std::1::mutex>&) + 18
3 org.blenderfoundation.blender 0x0000000109886b33 IlmThread_2_3::Semaphore::wait() + 147
4 org.blenderfoundation.blender 0x0000000109884092 IlmThread_2_3::(anonymous namespace)::DefaultWorkerThread::run() + 66
5 org.blenderfoundation.blender 0x0000000109886587 void* std::1::thread_proxy<std::1::tuple<std::1::unique_ptr<std::1::thread_struct, std::1::default_delete<std::1::__thread_struct> >, void (IlmThread_2_3::Thread::*)(), IlmThread_2_3::Thread*> >(void*) + 663
6 libsystem_pthread.dylib 0x00007fff7ba47661 _pthread_body + 340
7 libsystem_pthread.dylib 0x00007fff7ba4750d _pthread_start + 377
8 libsystem_pthread.dylib 0x00007fff7ba46bf9 thread_start + 13

Thread 6:
0 libsystem_kernel.dylib 0x00007fff7b87fa16 psynch_cvwait + 10
1 libsystem_pthread.dylib 0x00007fff7ba48589 _pthread_cond_wait + 732
2 libc++.1.dylib 0x00007fff79683cb0 std::
1::condition_variable::wait(std::1::unique_lock<std::1::mutex>&) + 18
3 org.blenderfoundation.blender 0x0000000109886b33 IlmThread_2_3::Semaphore::wait() + 147
4 org.blenderfoundation.blender 0x0000000109884092 IlmThread_2_3::(anonymous namespace)::DefaultWorkerThread::run() + 66
5 org.blenderfoundation.blender 0x0000000109886587 void* std::1::thread_proxy<std::1::tuple<std::1::unique_ptr<std::1::thread_struct, std::1::default_delete<std::1::__thread_struct> >, void (IlmThread_2_3::Thread::*)(), IlmThread_2_3::Thread*> >(void*) + 663
6 libsystem_pthread.dylib 0x00007fff7ba47661 _pthread_body + 340
7 libsystem_pthread.dylib 0x00007fff7ba4750d _pthread_start + 377
8 libsystem_pthread.dylib 0x00007fff7ba46bf9 thread_start + 13

Thread 7:
0 libsystem_kernel.dylib 0x00007fff7b87fa16 psynch_cvwait + 10
1 libsystem_pthread.dylib 0x00007fff7ba48589 _pthread_cond_wait + 732
2 libc++.1.dylib 0x00007fff79683cb0 std::
1::condition_variable::wait(std::1::unique_lock<std::1::mutex>&) + 18
3 org.blenderfoundation.blender 0x0000000109886b33 IlmThread_2_3::Semaphore::wait() + 147
4 org.blenderfoundation.blender 0x0000000109884092 IlmThread_2_3::(anonymous namespace)::DefaultWorkerThread::run() + 66
5 org.blenderfoundation.blender 0x0000000109886587 void* std::1::thread_proxy<std::1::tuple<std::1::unique_ptr<std::1::thread_struct, std::1::default_delete<std::1::__thread_struct> >, void (IlmThread_2_3::Thread::*)(), IlmThread_2_3::Thread*> >(void*) + 663
6 libsystem_pthread.dylib 0x00007fff7ba47661 _pthread_body + 340
7 libsystem_pthread.dylib 0x00007fff7ba4750d _pthread_start + 377
8 libsystem_pthread.dylib 0x00007fff7ba46bf9 thread_start + 13

Thread 8:
0 libsystem_kernel.dylib 0x00007fff7b87fa16 psynch_cvwait + 10
1 libsystem_pthread.dylib 0x00007fff7ba48589 _pthread_cond_wait + 732
2 libc++.1.dylib 0x00007fff79683cb0 std::
1::condition_variable::wait(std::1::unique_lock<std::1::mutex>&) + 18
3 org.blenderfoundation.blender 0x0000000109886b33 IlmThread_2_3::Semaphore::wait() + 147
4 org.blenderfoundation.blender 0x0000000109884092 IlmThread_2_3::(anonymous namespace)::DefaultWorkerThread::run() + 66
5 org.blenderfoundation.blender 0x0000000109886587 void* std::1::thread_proxy<std::1::tuple<std::1::unique_ptr<std::1::thread_struct, std::1::default_delete<std::1::__thread_struct> >, void (IlmThread_2_3::Thread::*)(), IlmThread_2_3::Thread*> >(void*) + 663
6 libsystem_pthread.dylib 0x00007fff7ba47661 _pthread_body + 340
7 libsystem_pthread.dylib 0x00007fff7ba4750d _pthread_start + 377
8 libsystem_pthread.dylib 0x00007fff7ba46bf9 thread_start + 13

Thread 9:
0 libsystem_kernel.dylib 0x00007fff7b88028a __workq_kernreturn + 10
1 libsystem_pthread.dylib 0x00007fff7ba47009 _pthread_wqthread + 1035
2 libsystem_pthread.dylib 0x00007fff7ba46be9 start_wqthread + 13

Thread 10:
0 libsystem_kernel.dylib 0x00007fff7b88028a __workq_kernreturn + 10
1 libsystem_pthread.dylib 0x00007fff7ba47009 _pthread_wqthread + 1035
2 libsystem_pthread.dylib 0x00007fff7ba46be9 start_wqthread + 13

Thread 11:
0 libsystem_kernel.dylib 0x00007fff7b88028a __workq_kernreturn + 10
1 libsystem_pthread.dylib 0x00007fff7ba4720e _pthread_wqthread + 1552
2 libsystem_pthread.dylib 0x00007fff7ba46be9 start_wqthread + 13

Thread 12:
0 libsystem_kernel.dylib 0x00007fff7b87625e semaphore_timedwait_trap + 10
1 libdispatch.dylib 0x00007fff7b70594f _dispatch_sema4_timedwait + 72
2 libdispatch.dylib 0x00007fff7b6fd94e _dispatch_semaphore_wait_slow + 58
3 libdispatch.dylib 0x00007fff7b6f8e53 _dispatch_worker_thread + 251
4 libsystem_pthread.dylib 0x00007fff7ba47661 _pthread_body + 340
5 libsystem_pthread.dylib 0x00007fff7ba4750d _pthread_start + 377
6 libsystem_pthread.dylib 0x00007fff7ba46bf9 thread_start + 13

Thread 13:
0 libsystem_kernel.dylib 0x00007fff7b88028a __workq_kernreturn + 10
1 libsystem_pthread.dylib 0x00007fff7ba4720e _pthread_wqthread + 1552
2 libsystem_pthread.dylib 0x00007fff7ba46be9 start_wqthread + 13

Thread 14:: com.apple.audio.IOThread.client
0 libsystem_kernel.dylib 0x00007fff7b87620a mach_msg_trap + 10
1 libsystem_kernel.dylib 0x00007fff7b875724 mach_msg + 60
2 com.apple.audio.CoreAudio 0x00007fff5334787a HALB_MachPort::SendMessageWithReply(unsigned int, unsigned int, unsigned int, unsigned int, mach_msg_header_t*, bool, unsigned int) + 124
3 com.apple.audio.CoreAudio 0x00007fff533477ed HALB_MachPort::SendSimpleMessageWithSimpleReply(unsigned int, unsigned int, int, int&, bool, unsigned int) + 45
4 com.apple.audio.CoreAudio 0x00007fff53344859 HALC_ProxyIOContext::IOWorkLoop() + 977
5 com.apple.audio.CoreAudio 0x00007fff533442bc HALC_ProxyIOContext::IOThreadEntry(void*) + 128
6 com.apple.audio.CoreAudio 0x00007fff53343ffe HALB_IOThread::Entry(void*) + 72
7 libsystem_pthread.dylib 0x00007fff7ba47661 _pthread_body + 340
8 libsystem_pthread.dylib 0x00007fff7ba4750d _pthread_start + 377
9 libsystem_pthread.dylib 0x00007fff7ba46bf9 thread_start + 13

Thread 15:
0 libsystem_kernel.dylib 0x00007fff7b87fa16 __psynch_cvwait + 10
1 libsystem_pthread.dylib 0x00007fff7ba48589 _pthread_cond_wait + 732
2 org.blenderfoundation.blender 0x000000010744a6ac task_scheduler_thread_run + 172
3 libsystem_pthread.dylib 0x00007fff7ba47661 _pthread_body + 340
4 libsystem_pthread.dylib 0x00007fff7ba4750d _pthread_start + 377
5 libsystem_pthread.dylib 0x00007fff7ba46bf9 thread_start + 13

Thread 16:
0 libsystem_kernel.dylib 0x00007fff7b87fa16 __psynch_cvwait + 10
1 libsystem_pthread.dylib 0x00007fff7ba48589 _pthread_cond_wait + 732
2 org.blenderfoundation.blender 0x000000010744a6ac task_scheduler_thread_run + 172
3 libsystem_pthread.dylib 0x00007fff7ba47661 _pthread_body + 340
4 libsystem_pthread.dylib 0x00007fff7ba4750d _pthread_start + 377
5 libsystem_pthread.dylib 0x00007fff7ba46bf9 thread_start + 13

Thread 17:
0 libsystem_kernel.dylib 0x00007fff7b87fa16 __psynch_cvwait + 10
1 libsystem_pthread.dylib 0x00007fff7ba48589 _pthread_cond_wait + 732
2 org.blenderfoundation.blender 0x000000010744a6ac task_scheduler_thread_run + 172
3 libsystem_pthread.dylib 0x00007fff7ba47661 _pthread_body + 340
4 libsystem_pthread.dylib 0x00007fff7ba4750d _pthread_start + 377
5 libsystem_pthread.dylib 0x00007fff7ba46bf9 thread_start + 13

Thread 18:
0 libsystem_kernel.dylib 0x00007fff7b87fa16 __psynch_cvwait + 10
1 libsystem_pthread.dylib 0x00007fff7ba48589 _pthread_cond_wait + 732
2 org.blenderfoundation.blender 0x000000010744a6ac task_scheduler_thread_run + 172
3 libsystem_pthread.dylib 0x00007fff7ba47661 _pthread_body + 340
4 libsystem_pthread.dylib 0x00007fff7ba4750d _pthread_start + 377
5 libsystem_pthread.dylib 0x00007fff7ba46bf9 thread_start + 13

Thread 19:
0 libsystem_kernel.dylib 0x00007fff7b87fa16 __psynch_cvwait + 10
1 libsystem_pthread.dylib 0x00007fff7ba48589 _pthread_cond_wait + 732
2 org.blenderfoundation.blender 0x000000010744a6ac task_scheduler_thread_run + 172
3 libsystem_pthread.dylib 0x00007fff7ba47661 _pthread_body + 340
4 libsystem_pthread.dylib 0x00007fff7ba4750d _pthread_start + 377
5 libsystem_pthread.dylib 0x00007fff7ba46bf9 thread_start + 13

Thread 20:
0 libsystem_kernel.dylib 0x00007fff7b87fa16 __psynch_cvwait + 10
1 libsystem_pthread.dylib 0x00007fff7ba48589 _pthread_cond_wait + 732
2 org.blenderfoundation.blender 0x000000010744a6ac task_scheduler_thread_run + 172
3 libsystem_pthread.dylib 0x00007fff7ba47661 _pthread_body + 340
4 libsystem_pthread.dylib 0x00007fff7ba4750d _pthread_start + 377
5 libsystem_pthread.dylib 0x00007fff7ba46bf9 thread_start + 13

Thread 21 Crashed:
0 libsystem_kernel.dylib 0x00007fff7b87fb66 pthread_kill + 10
1 libsystem_pthread.dylib 0x00007fff7ba4a080 pthread_kill + 333
2 libsystem_c.dylib 0x00007fff7b7db24d
abort + 144
3 libsystem_c.dylib 0x00007fff7b7db1bd abort + 142
4 libc++abi.dylib 0x00007fff796d5f8f abort_message + 245
5 libc++abi.dylib 0x00007fff796d6113 default_terminate_handler() + 241
6 libobjc.A.dylib 0x00007fff7ab17eab _objc_terminate() + 105
7 libc++abi.dylib 0x00007fff796f17c9 std::terminate(void (*)()) + 8
8 libc++abi.dylib 0x00007fff796f126f
cxa_throw + 121
9 libc++.1.dylib 0x00007fff796abbe7 std::1::locale::imp::use_facet(long) const + 79
10 org.blenderfoundation.blender 0x00000001089a7c70 bl_locale_pgettext + 48
11 org.blenderfoundation.blender 0x000000010767185a BLT_translate_do_new_dataname + 74
12 org.blenderfoundation.blender 0x00000001070b3516 customData_add_layer__internal + 758
13 org.blenderfoundation.blender 0x00000001070b2fa1 CustomData_merge + 273
14 org.blenderfoundation.blender 0x0000000107125e9b BKE_mesh_copy_data + 235
15 org.blenderfoundation.blender 0x000000010710529d BKE_id_copy_ex + 637
16 org.blenderfoundation.blender 0x0000000107463d46 DEG::deg_expand_copy_on_write_datablock(DEG::Depsgraph const*, DEG::IDDepsNode const*, DEG::DepsgraphNodeBuilder*, bool) + 662
17 org.blenderfoundation.blender 0x0000000107464743 DEG::deg_update_copy_on_write_datablock(DEG::Depsgraph const*, DEG::IDDepsNode const*) + 515
18 org.blenderfoundation.blender 0x000000010746396c DEG::deg_task_run_func(TaskPool*, void*, int) + 140
19 org.blenderfoundation.blender 0x000000010744a75d task_scheduler_thread_run + 349
20 libsystem_pthread.dylib 0x00007fff7ba47661 _pthread_body + 340
21 libsystem_pthread.dylib 0x00007fff7ba4750d _pthread_start + 377
22 libsystem_pthread.dylib 0x00007fff7ba46bf9 thread_start + 13

Thread 21 crashed with X86 Thread State (64-bit):

rax: 0x0000000000000000  rbx: 0x0000700005e46000  rcx: 0x0000700005e43d08  rdx: 0x0000000000000000
rdi: 0x000000000000bf03  rsi: 0x0000000000000006  rbp: 0x0000700005e43d40  rsp: 0x0000700005e43d08
 r8: 0x0000000000000000   r9: 0x0000000000989680  r10: 0x0000000000000000  r11: 0x0000000000000206
r12: 0x000000000000bf03  r13: 0x0000000000000030  r14: 0x0000000000000006  r15: 0x000000000000002d
rip: 0x00007fff7b87fb66  rfl: 0x0000000000000206  cr2: 0x00000001071aeb40

Logical CPU: 0
Error Code: 0x02000148
Trap Number: 133

Binary Images:

   0x1067d0000 -        0x10d926f8f +org.blenderfoundation.blender (2.80 - 2.80 2018-09-11, Blender Foundation) <0CC69364-EEAA-3011-B4CE-91A5228E553E> /Applications/blender.app/Contents/MacOS/blender
   0x113915000 -        0x113abdff7  com.apple.audio.units.Components (1.14 - 1.14) <1E04BB32-1550-3851-8CD1-4A588BFE5D46> /System/Library/Components/CoreAudio.component/Contents/MacOS/CoreAudio
   0x113b5f000 -        0x113b63ffb  com.apple.audio.AppleHDAHALPlugIn (281.52 - 281.52) <23C7DDE6-A44B-3BE4-B47C-EB3045B267D9> /System/Library/Extensions/AppleHDA.kext/Contents/PlugIns/AppleHDAHALPlugIn.bundle/Contents/MacOS/AppleHDAHALPlugIn
   0x11533c000 -        0x1153feffb  com.apple.AMDRadeonX4000GLDriver (1.68.20 - 1.6.8) <03AC29A1-DE03-3031-854D-B7F6D2018B4D> /System/Library/Extensions/AMDRadeonX4000GLDriver.bundle/Contents/MacOS/AMDRadeonX4000GLDriver
   0x1158cf000 -        0x115a06fff  com.apple.AMDMTLBronzeDriver (1.68.20 - 1.6.8) <C5D6A803-7CE1-32BD-BE34-C518131CED8B> /System/Library/Extensions/AMDMTLBronzeDriver.bundle/Contents/MacOS/AMDMTLBronzeDriver
   0x1180cd000 -        0x118e4aff7  com.apple.driver.AppleIntelKBLGraphicsGLDriver (10.36.19 - 10.3.6) <7363D45E-0011-38F0-BDBF-C298AC5C9A59> /System/Library/Extensions/AppleIntelKBLGraphicsGLDriver.bundle/Contents/MacOS/AppleIntelKBLGraphicsGLDriver
   0x11cfc7000 -        0x11d011acf  dyld (551.4) <8A72DE9C-A136-3506-AA02-4BA2B82DCAF3> /usr/lib/dyld
0x7fff4bde5000 -     0x7fff4bdf4ffb  libSimplifiedChineseConverter.dylib (70) <79F6AF91-B369-3C30-8C52-19608D2566F9> /System/Library/CoreServices/Encodings/libSimplifiedChineseConverter.dylib
0x7fff4c3b6000 -     0x7fff4cc0cff7  ATIRadeonX4000SCLib.dylib (1.68.20) <09BE979C-D263-34F4-A83D-3E36420ED78D> /System/Library/Extensions/AMDRadeonX4000GLDriver.bundle/Contents/MacOS/ATIRadeonX4000SCLib.dylib
0x7fff4d803000 -     0x7fff4d9eefff  com.apple.driver.AppleIntelKBLGraphicsMTLDriver (10.36.19 - 10.3.6) <A5C358C5-A4EC-3726-A7EB-49300B599A2D> /System/Library/Extensions/AppleIntelKBLGraphicsMTLDriver.bundle/Contents/MacOS/AppleIntelKBLGraphicsMTLDriver
0x7fff4fde2000 -     0x7fff4fde2fff  com.apple.Accelerate (1.11 - Accelerate 1.11) <8632A9C5-19EA-3FD7-A44D-80765CC9C540> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x7fff4fde3000 -     0x7fff4fdf9fef  libCGInterfaces.dylib (417.2) <2E67702C-75F6-308A-A023-F28120BEE667> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/Libraries/libCGInterfaces.dylib
0x7fff4fdfa000 -     0x7fff502f8fc3  com.apple.vImage (8.1 - ???) <A243A7EF-0C8E-3A9A-AA38-44AFD7507F00> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x7fff502f9000 -     0x7fff50453fe3  libBLAS.dylib (1211.50.2) <62C659EB-3E32-3B5F-83BF-79F5DF30D5CE> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x7fff50454000 -     0x7fff50482fef  libBNNS.dylib (38.1) <7BAEFDCA-3227-3E07-80D8-59B6370B89C6> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBNNS.dylib
0x7fff50483000 -     0x7fff50842ff7  libLAPACK.dylib (1211.50.2) <40ADBA5F-8B2D-30AC-A7AD-7B17C37EE52D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x7fff50843000 -     0x7fff50858ff7  libLinearAlgebra.dylib (1211.50.2) <E8E0B7FD-A0B7-31E5-AF01-81781F71EBBE> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib
0x7fff50859000 -     0x7fff5085eff3  libQuadrature.dylib (3) <3D6BF66A-55B2-3692-BAC7-DEB0C676ED29> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libQuadrature.dylib
0x7fff5085f000 -     0x7fff508dffff  libSparse.dylib (79.50.2) <0DC25CDD-F8C1-3D6E-B472-8B060708424F> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparse.dylib
0x7fff508e0000 -     0x7fff508f3fff  libSparseBLAS.dylib (1211.50.2) <722573CC-31CC-34B2-9032-E4F652A9CCFE> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparseBLAS.dylib
0x7fff508f4000 -     0x7fff50aa1fc3  libvDSP.dylib (622.50.5) <40690941-CF89-3F90-A0AC-A4D200744A5D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x7fff50aa2000 -     0x7fff50b53fff  libvMisc.dylib (622.50.5) <BA2532DF-2D68-3DD0-9B59-D434BF702AA4> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x7fff50b54000 -     0x7fff50b54fff  com.apple.Accelerate.vecLib (3.11 - vecLib 3.11) <54FF3B43-E66C-3F36-B34B-A2B3B0A36502> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x7fff50e48000 -     0x7fff51ca6fff  com.apple.AppKit (6.9 - 1561.60.100) <3C27CF6F-E640-3411-A87D-CCB2222CC754> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x7fff51cf8000 -     0x7fff51cf8fff  com.apple.ApplicationServices (48 - 50) <AFFBD94A-AF76-336E-B53E-57524EAE8EF3> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x7fff51cf9000 -     0x7fff51d5ffff  com.apple.ApplicationServices.ATS (377 - 445.4) <85E779EE-0219-3181-B4C4-201E4CC82AB5> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x7fff51df8000 -     0x7fff51f1afff  libFontParser.dylib (222.1.6) <6CEBACDD-B848-302E-B4B2-630CB16E663E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
0x7fff51f1b000 -     0x7fff51f65ff7  libFontRegistry.dylib (221.4) <5FDB4F1A-E15C-3ACB-A5C1-F15458C0C6DC> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
0x7fff5200a000 -     0x7fff5203dff7  libTrueTypeScaler.dylib (222.1.6) <9147F859-8BD9-31D9-AB54-8E9549B92AE9> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueTypeScaler.dylib
0x7fff520a7000 -     0x7fff520abff3  com.apple.ColorSyncLegacy (4.13.0 - 1) <A5FB2694-1559-34A8-A3D3-2029F68A63CA> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSyncLegacy.framework/Versions/A/ColorSyncLegacy
0x7fff5214b000 -     0x7fff5219dffb  com.apple.HIServices (1.22 - 624.1) <66FD9ED2-9630-313C-86AE-4C2FBCB3F351> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x7fff5219e000 -     0x7fff521acfff  com.apple.LangAnalysis (1.7.0 - 1.7.0) <B65FF7E6-E9B5-34D8-8CA7-63D415A8A9A6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x7fff521ad000 -     0x7fff521f9fff  com.apple.print.framework.PrintCore (13.4 - 503.2) <B90C67C1-0292-3CEC-885D-F1882CD104BE> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x7fff521fa000 -     0x7fff52234fff  com.apple.QD (3.12 - 404.2) <38B20AFF-9D54-3B52-A6DC-C0D71380AA5F> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x7fff52235000 -     0x7fff52241fff  com.apple.speech.synthesis.framework (7.8.1 - 7.8.1) <A08DE016-C8F2-3B0E-BD34-15959D13DBF0> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x7fff52242000 -     0x7fff524d0ff7  com.apple.audio.toolbox.AudioToolbox (1.14 - 1.14) <E0B8B5D8-80A0-308B-ABD6-F8612102B5D8> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x7fff524d2000 -     0x7fff524d2fff  com.apple.audio.units.AudioUnit (1.14 - 1.14) <ABF8778E-4F9D-305E-A528-DE406A1A2B68> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x7fff527f5000 -     0x7fff52b8fff7  com.apple.CFNetwork (902.1 - 902.1) <76EB8CB6-BF59-3BDA-BF2B-F21B161611B9> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x7fff52ba4000 -     0x7fff52ba4fff  com.apple.Carbon (158 - 158) <F8B370D9-2103-3276-821D-ACC756167F86> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x7fff52ba5000 -     0x7fff52ba8ffb  com.apple.CommonPanels (1.2.6 - 98) <2391761C-5CAA-3F68-86B7-50B37927B104> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x7fff52ba9000 -     0x7fff52eaefff  com.apple.HIToolbox (2.1.1 - 911.10) <BF7F9C0E-C732-3FB2-9BBC-362888BDA57B> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x7fff52eaf000 -     0x7fff52eb2ffb  com.apple.help (1.3.8 - 66) <DEBADFA8-C189-3195-B0D6-A1F2DE95882A> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x7fff52eb3000 -     0x7fff52eb8fff  com.apple.ImageCapture (9.0 - 9.0) <23B4916F-3B43-3DFF-B956-FC390EECA284> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x7fff52eb9000 -     0x7fff52f4effb  com.apple.ink.framework (10.9 - 221) <5206C8B0-22DA-36C9-998E-846EDB626D5B> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x7fff52f4f000 -     0x7fff52f69ff7  com.apple.openscripting (1.7 - 174) <1B2A1F9E-5534-3D61-83CA-9199B39E8708> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x7fff52f8a000 -     0x7fff52f8bfff  com.apple.print.framework.Print (12 - 267) <3682ABFB-2561-3419-847D-02C247F4800D> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x7fff52f8c000 -     0x7fff52f8eff7  com.apple.securityhi (9.0 - 55006) <C1406B8D-7D05-3959-808F-9C82189CF57F> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x7fff52f8f000 -     0x7fff52f95fff  com.apple.speech.recognition.framework (6.0.3 - 6.0.3) <2ED8643D-B0C3-3F17-82A2-BBF13E6CBABC> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x7fff530b6000 -     0x7fff530b6fff  com.apple.Cocoa (6.11 - 22) <78E6C28E-4308-3D10-AD14-0CBCF6789B3F> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x7fff530c4000 -     0x7fff5317dfff  com.apple.ColorSync (4.13.0 - 3325) <D283C285-447D-3258-A7E4-59532123B8FF> /System/Library/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x7fff5330a000 -     0x7fff5339dff7  com.apple.audio.CoreAudio (4.3.0 - 4.3.0) <EB35D3EC-56EA-33E6-98DC-BDC3A5FA8ACE> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x7fff53404000 -     0x7fff5342dffb  com.apple.CoreBluetooth (1.0 - 1) <E1335074-9D07-370E-8440-61C4874BAC56> /System/Library/Frameworks/CoreBluetooth.framework/Versions/A/CoreBluetooth
0x7fff5342e000 -     0x7fff53784fef  com.apple.CoreData (120 - 851) <A2B59780-FB16-36A3-8EE0-E0EF072454E0> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x7fff53785000 -     0x7fff53868fff  com.apple.CoreDisplay (99.14 - 99.14) <A1B91ADD-828D-33A0-8A92-CC3F83DF89D0> /System/Library/Frameworks/CoreDisplay.framework/Versions/A/CoreDisplay
0x7fff53869000 -     0x7fff53d0afef  com.apple.CoreFoundation (6.9 - 1454.90) <E5D594BF-9142-3325-A62D-CF4AAF472642> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x7fff53d0c000 -     0x7fff5431cfef  com.apple.CoreGraphics (2.0 - 1161.21) <375C477F-5A89-3C49-9B63-373C81A63F7E> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x7fff5431e000 -     0x7fff5460dfff  com.apple.CoreImage (13.0.0 - 579.5) <AAE2DFD0-9B0A-3D56-8A3E-C460BAF70394> /System/Library/Frameworks/CoreImage.framework/Versions/A/CoreImage
0x7fff549e2000 -     0x7fff549e2fff  com.apple.CoreServices (822.36 - 822.36) <C8368F17-1589-3BA5-A0E7-89CB8DF2454F> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x7fff549e3000 -     0x7fff54a57ffb  com.apple.AE (735.1 - 735.1) <08EBA184-20F7-3725-AEA6-C314448161C6> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x7fff54a58000 -     0x7fff54d2ffff  com.apple.CoreServices.CarbonCore (1178.4 - 1178.4) <0D5E19BF-18CB-3FA4-8A5F-F6C787C5EE08> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x7fff54d30000 -     0x7fff54d64fff  com.apple.DictionaryServices (1.2 - 284.2) <6505B075-41C3-3C62-A4C3-85CE3F6825CD> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x7fff54d65000 -     0x7fff54d6dffb  com.apple.CoreServices.FSEvents (1239.50.1 - 1239.50.1) <3637CEC7-DF0E-320E-9634-44A442925C65> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents
0x7fff54d6e000 -     0x7fff54f2bfff  com.apple.LaunchServices (822.36 - 822.36) <6E68C090-B12D-3D3D-9617-E5D82C36B2D0> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x7fff54f2c000 -     0x7fff54fdcff7  com.apple.Metadata (10.7.0 - 1191.4.13) <B5C22E70-C265-3C9F-865F-B138994A418D> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x7fff54fdd000 -     0x7fff5503dfff  com.apple.CoreServices.OSServices (822.36 - 822.36) <3BB2E0CE-81AE-3D3D-9FCE-E1B7FC6D6A61> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x7fff5503e000 -     0x7fff550acfff  com.apple.SearchKit (1.4.0 - 1.4.0) <3662545A-B1CF-3079-BDCD-C83855CEFEEE> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x7fff550ad000 -     0x7fff550d1ffb  com.apple.coreservices.SharedFileList (71.21 - 71.21) <35582D88-5975-35E2-A29A-E3148C3EE727> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SharedFileList.framework/Versions/A/SharedFileList
0x7fff55372000 -     0x7fff554c2fff  com.apple.CoreText (352.0 - 578.22) <6129F39D-284D-3BBF-8999-7854AB61C01C> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
0x7fff554c3000 -     0x7fff554fdfff  com.apple.CoreVideo (1.8 - 0.0) <86CCC036-51BB-3DD1-9601-D93798BCCD0F> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x7fff554fe000 -     0x7fff55589ff3  com.apple.framework.CoreWLAN (13.0 - 1350.1) <E862CC02-69D2-3503-887B-B6E8223081E7> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
0x7fff55804000 -     0x7fff55809fff  com.apple.DiskArbitration (2.7 - 2.7) <A975AD56-4CD3-3A89-8732-858CA9BD3DAA> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x7fff559c7000 -     0x7fff559c9ff7  com.apple.ForceFeedback (1.0.6 - 1.0.6) <87FB3F31-DF4C-3172-BF86-45EFC331BDD8> /System/Library/Frameworks/ForceFeedback.framework/Versions/A/ForceFeedback
0x7fff559ca000 -     0x7fff55d90fff  com.apple.Foundation (6.9 - 1454.90) <8EA924F3-ADAE-3F4B-8482-8B11C027D9A5> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x7fff55e01000 -     0x7fff55e31fff  com.apple.GSS (4.0 - 2.0) <D774A165-5581-3479-AB5D-2BBDB5CF8882> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
0x7fff55f43000 -     0x7fff56047ffb  com.apple.Bluetooth (6.0.7 - 6.0.7f10) <557F26F9-C7A0-34EA-A905-22E243BF6B48> /System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth
0x7fff560a7000 -     0x7fff56142fff  com.apple.framework.IOKit (2.0.2 - 1445.71.1) <2EA4F383-CAA9-3AF0-99C5-90C22ADAA6B6> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x7fff56144000 -     0x7fff5614bfff  com.apple.IOSurface (211.15 - 211.15) <9FD406F1-6BF2-35B0-8339-DF83A1A661EB> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
0x7fff561a2000 -     0x7fff5631cff7  com.apple.ImageIO.framework (3.3.0 - 1739.3) <7C579D3F-AE0B-31C9-8F80-67F2290B8DE0> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x7fff5631d000 -     0x7fff56321ffb  libGIF.dylib (1739.3) <7AA44C9D-48E8-3090-B044-61FE6F0AEF38> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x7fff56322000 -     0x7fff56409fef  libJP2.dylib (1739.3) <AEBF7260-0C10-30C0-8F0F-8B347DEE78B3> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x7fff5640a000 -     0x7fff5642dff7  libJPEG.dylib (1739.3) <D8C966AD-A00C-3E8B-A7ED-D7CC7ECB3224> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x7fff56709000 -     0x7fff5672ffeb  libPng.dylib (1739.3) <1737F680-99D1-3F03-BFA5-5CDA30EB880A> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x7fff56730000 -     0x7fff56732ffb  libRadiance.dylib (1739.3) <21746434-FCC7-36DE-9331-11277DF66AA8> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x7fff56733000 -     0x7fff56781fef  libTIFF.dylib (1739.3) <C4CB5C1D-20F2-3BD4-B0E6-629FDB3EF8E8> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x7fff5763b000 -     0x7fff57654ff7  com.apple.Kerberos (3.0 - 1) <F86DCCDF-93C1-38B3-82C2-477C12E8EE6D> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x7fff58036000 -     0x7fff580b7fff  com.apple.Metal (125.30 - 125.30) <975FD6B5-D695-346A-869F-0584A968D100> /System/Library/Frameworks/Metal.framework/Versions/A/Metal
0x7fff580d4000 -     0x7fff580effff  com.apple.MetalPerformanceShaders.MPSCore (1.0 - 1) <AD754E8F-CA00-3878-9AF3-208C224A230B> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSCore.framework/Versions/A/MPSCore
0x7fff580f0000 -     0x7fff5815ffef  com.apple.MetalPerformanceShaders.MPSImage (1.0 - 1) <338B7779-E608-3D68-8A07-2ACC11299744> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSImage.framework/Versions/A/MPSImage
0x7fff58160000 -     0x7fff58184fff  com.apple.MetalPerformanceShaders.MPSMatrix (1.0 - 1) <9CE072D7-853B-3939-9645-7EB951376B87> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSMatrix.framework/Versions/A/MPSMatrix
0x7fff58185000 -     0x7fff5826cff7  com.apple.MetalPerformanceShaders.MPSNeuralNetwork (1.0 - 1) <0DE891AD-27E5-38FF-AEC8-4A95356C4357> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSNeuralNetwork.framework/Versions/A/MPSNeuralNetwork
0x7fff5826d000 -     0x7fff5826dff7  com.apple.MetalPerformanceShaders.MetalPerformanceShaders (1.0 - 1) <2D2D261C-50B0-32F9-BF9A-5C01382BB528> /System/Library/Frameworks/MetalPerformanceShaders.framework/Versions/A/MetalPerformanceShaders
0x7fff5926c000 -     0x7fff59278ffb  com.apple.NetFS (6.0 - 4.0) <471DD96F-FA2E-3FE9-9746-2519A6780D1A> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
0x7fff5946c000 -     0x7fff59491fff  com.apple.audio.OpenAL (1.8 - 1.8) <FA7686B8-3C91-3169-95FC-D3A067CB3943> /System/Library/Frameworks/OpenAL.framework/Versions/A/OpenAL
0x7fff5c061000 -     0x7fff5c069fef  libcldcpuengine.dylib (2.8.7) <EF9A91AC-029C-300A-99E7-4952C15DA09F> /System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/libcldcpuengine.dylib
0x7fff5c06a000 -     0x7fff5c0c4ff7  com.apple.opencl (2.8.24 - 2.8.24) <4D7401A7-6ADD-3632-85AE-7A5012DFFA04> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
0x7fff5c0c5000 -     0x7fff5c0e1ffb  com.apple.CFOpenDirectory (10.13 - 207.50.1) <29F55F7B-379F-3053-8FF3-5C6675A3DD4D> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
0x7fff5c0e2000 -     0x7fff5c0edfff  com.apple.OpenDirectory (10.13 - 207.50.1) <F895547D-4915-353F-9C1E-E95172BA803B> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
0x7fff5d26c000 -     0x7fff5d26efff  libCVMSPluginSupport.dylib (16.7.4) <F9270AE0-CC3B-3E3E-BA32-CC1068DD8F27> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
0x7fff5d26f000 -     0x7fff5d274ffb  libCoreFSCache.dylib (162.9) <7AF87F3E-D5D0-3625-BE09-CA4223195466> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib
0x7fff5d275000 -     0x7fff5d279fff  libCoreVMClient.dylib (162.9) <115FE643-6141-39B4-8193-77DFCBE7A4E0> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
0x7fff5d27a000 -     0x7fff5d283ff3  libGFXShared.dylib (16.7.4) <EB2BF8A0-E10D-35EA-8F46-B2E3C62C12A8> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
0x7fff5d284000 -     0x7fff5d28ffff  libGL.dylib (16.7.4) <2BB333D3-5C61-33DF-8545-06DF2D08B83D> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x7fff5d290000 -     0x7fff5d2cbfe7  libGLImage.dylib (16.7.4) <4DA003CE-0B74-3FE4-808C-B2FBCE517EB4> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x7fff5d2cc000 -     0x7fff5d439ff3  libGLProgrammability.dylib (16.7.4) <ECC9D79B-C0B1-33F9-A9BB-097EF12D9E13> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x7fff5d43a000 -     0x7fff5d478ffb  libGLU.dylib (16.7.4) <BCB09CD8-EB0E-38FA-8B5A-9E29532EE364> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x7fff5ddf0000 -     0x7fff5ddffff3  com.apple.opengl (16.7.4 - 16.7.4) <9BDE8FF9-5418-3C70-8D1C-09656884CE48> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x7fff5de00000 -     0x7fff5df97ff3  GLEngine (16.7.4) <E2EE1D9C-826E-3DA9-9DCA-2FF371CDE5BB> /System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLEngine.bundle/GLEngine
0x7fff5df98000 -     0x7fff5dfc0ffb  GLRendererFloat (16.7.4) <3B51AC1B-0A3C-30E5-80EB-F64EBB1B1F77> /System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLRendererFloat.bundle/GLRendererFloat
0x7fff5ec4e000 -     0x7fff5ee9aff7  com.apple.QuartzCore (1.11 - 584.62) <1950D993-DE48-3C97-95A5-66D98BDFC95D> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x7fff5f6cf000 -     0x7fff5f9fafff  com.apple.security (7.0 - 58286.70.7) <9FC166E1-14D0-305C-A086-02B9E83F547E> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x7fff5f9fb000 -     0x7fff5fa87ff7  com.apple.securityfoundation (6.0 - 55185.50.5) <D708D069-AEDB-36C2-B1DA-479DA91D7711> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x7fff5fab9000 -     0x7fff5fabdffb  com.apple.xpc.ServiceManagement (1.0 - 1) <71B45D83-ECA4-3265-997E-683A8B8DF413> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
0x7fff5fe62000 -     0x7fff5fed2ff3  com.apple.SystemConfiguration (1.17 - 1.17) <8532B8E9-7E30-35A3-BC4A-DDE8E0614FDA> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x7fff62dcf000 -     0x7fff62e62fff  com.apple.APFS (1.0 - 1) <6BBB3988-1C91-314F-A77A-4E093A1B18F0> /System/Library/PrivateFrameworks/APFS.framework/Versions/A/APFS
0x7fff63a8d000 -     0x7fff63ab5fff  com.apple.framework.Apple80211 (13.0 - 1361.7) <16627876-8CF5-3502-A1D6-35FCBDD5E79A> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
0x7fff63ab7000 -     0x7fff63ac6fef  com.apple.AppleFSCompression (96.60.1 - 1.0) <A7C875C4-F5EE-3272-AFB6-57C9FD5352B3> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
0x7fff63bc5000 -     0x7fff63bd0ff7  com.apple.AppleIDAuthSupport (1.0 - 1) <2FAF5567-CDB3-33EF-AB71-05D37F2248B7> /System/Library/PrivateFrameworks/AppleIDAuthSupport.framework/Versions/A/AppleIDAuthSupport
0x7fff63c0a000 -     0x7fff63c52ff3  com.apple.AppleJPEG (1.0 - 1) <8DD410CB-76A1-3F22-9A9F-0491FA0CEB4A> /System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/AppleJPEG
0x7fff63c8d000 -     0x7fff63cb5fff  com.apple.applesauce (1.0 - ???) <CCA8B094-1BCE-3AE3-A0A7-D544C818DE36> /System/Library/PrivateFrameworks/AppleSauce.framework/Versions/A/AppleSauce
0x7fff64107000 -     0x7fff643a0ffb  com.apple.AuthKit (1.0 - 1) <6CA71A11-91C5-307C-B933-9FCDEDCB580A> /System/Library/PrivateFrameworks/AuthKit.framework/Versions/A/AuthKit
0x7fff644d7000 -     0x7fff644deff7  com.apple.coreservices.BackgroundTaskManagement (1.0 - 57.1) <51A41CA3-DB1D-3380-993E-99C54AEE518E> /System/Library/PrivateFrameworks/BackgroundTaskManagement.framework/Versions/A/BackgroundTaskManagement
0x7fff644df000 -     0x7fff64566ff7  com.apple.backup.framework (1.9.5 - 1.9.5) <5E7B0925-8C71-353D-BB0F-9CA144BB264C> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
0x7fff65f20000 -     0x7fff65f29ff3  com.apple.CommonAuth (4.0 - 2.0) <4D237B25-27E5-3577-948B-073659F6D3C0> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
0x7fff66a2f000 -     0x7fff66a3fff7  com.apple.CoreEmoji (1.0 - 69.3) <A4357F5C-0C38-3A61-B456-D7321EB2CEE5> /System/Library/PrivateFrameworks/CoreEmoji.framework/Versions/A/CoreEmoji
0x7fff671d3000 -     0x7fff671dbff3  com.apple.CorePhoneNumbers (1.0 - 1) <A5D41251-9F38-3AB9-9DE7-F77023FAAA44> /System/Library/PrivateFrameworks/CorePhoneNumbers.framework/Versions/A/CorePhoneNumbers
0x7fff67366000 -     0x7fff67397ff3  com.apple.CoreServicesInternal (309.1 - 309.1) <4ECD14EA-A493-3B84-A32F-CF928474A405> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
0x7fff676d4000 -     0x7fff67765fff  com.apple.CoreSymbolication (9.3 - 64026.2) <D55A6E5B-0267-3F3A-8D90-4B8F39458420> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
0x7fff677e8000 -     0x7fff6791dfff  com.apple.coreui (2.1 - 494.1) <B2C515C3-FCE8-3B28-A225-05AD917F509B> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x7fff6791e000 -     0x7fff67a4ffff  com.apple.CoreUtils (5.6 - 560.11) <1A02D6F0-8C65-3FAE-AD63-56477EDE4773> /System/Library/PrivateFrameworks/CoreUtils.framework/Versions/A/CoreUtils
0x7fff67aa4000 -     0x7fff67b08fff  com.apple.framework.CoreWiFi (13.0 - 1350.1) <6EC5DEB3-6E2F-3DC2-BE59-1FD05175FB0C> /System/Library/PrivateFrameworks/CoreWiFi.framework/Versions/A/CoreWiFi
0x7fff67b09000 -     0x7fff67b19ff7  com.apple.CrashReporterSupport (10.13 - 1) <A909F468-0648-3F51-A77E-3F9ADBC9A941> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
0x7fff67b97000 -     0x7fff67ba6ff7  com.apple.framework.DFRFoundation (1.0 - 191.7) <5F486F5A-3795-3CD4-86A2-FD008A23F205> /System/Library/PrivateFrameworks/DFRFoundation.framework/Versions/A/DFRFoundation
0x7fff67ba9000 -     0x7fff67badffb  com.apple.DSExternalDisplay (3.1 - 380) <901B7F6D-376A-3848-99D0-170C4D00F776> /System/Library/PrivateFrameworks/DSExternalDisplay.framework/Versions/A/DSExternalDisplay
0x7fff67c2f000 -     0x7fff67ca5fff  com.apple.datadetectorscore (7.0 - 590.3) <7437160E-68A3-3FD7-8868-5E3F92E23C4F> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
0x7fff67cf3000 -     0x7fff67d33ff7  com.apple.DebugSymbols (181.0 - 181.0) <299A0238-ED78-3676-B131-274D972824AA> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
0x7fff67d34000 -     0x7fff67e63fff  com.apple.desktopservices (1.12.5 - 1.12.5) <7739C9A5-64D9-31A5-899B-5FFA242AD70D> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x7fff68c7d000 -     0x7fff690abfff  com.apple.vision.FaceCore (3.3.2 - 3.3.2) <B574FE33-4A41-3611-9738-388EBAF03E37> /System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
0x7fff6ad07000 -     0x7fff6ad07fff  libmetal_timestamp.dylib (802.4.8) <311A8FAA-5FA9-3AAF-887E-DC9884DE8BE5> /System/Library/PrivateFrameworks/GPUCompiler.framework/Versions/3802/Libraries/libmetal_timestamp.dylib
0x7fff6c367000 -     0x7fff6c372ff7  libGPUSupportMercury.dylib (16.7.4) <A4D6F79C-1DFA-3E96-8F76-4882FBEDE9CF> /System/Library/PrivateFrameworks/GPUSupport.framework/Versions/A/Libraries/libGPUSupportMercury.dylib
0x7fff6c373000 -     0x7fff6c378fff  com.apple.GPUWrangler (3.20.13 - 3.20.13) <9C5BD618-69E3-36D5-9BC9-A4841BC00D2A> /System/Library/PrivateFrameworks/GPUWrangler.framework/Versions/A/GPUWrangler
0x7fff6d0ee000 -     0x7fff6d0fdfff  com.apple.GraphVisualizer (1.0 - 5) <B993B8A2-5700-3DFC-9EB7-4CCEE8F959F1> /System/Library/PrivateFrameworks/GraphVisualizer.framework/Versions/A/GraphVisualizer
0x7fff6d180000 -     0x7fff6d1f4fff  com.apple.Heimdal (4.0 - 2.0) <93091531-CC91-34FF-8B93-5D3F02C37BC5> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
0x7fff6dafa000 -     0x7fff6db03fff  com.apple.IOAccelMemoryInfo (1.0 - 1) <E2416468-8B64-3BB8-A099-361954C8DED7> /System/Library/PrivateFrameworks/IOAccelMemoryInfo.framework/Versions/A/IOAccelMemoryInfo
0x7fff6db04000 -     0x7fff6db0bff7  com.apple.IOAccelerator (378.26 - 378.26) <2274BE11-18DE-3B13-BCDB-C488C9BB19AD> /System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAccelerator
0x7fff6db0f000 -     0x7fff6db26fff  com.apple.IOPresentment (1.0 - 35.1) <7C6332FF-6535-3064-B437-1E9F70671927> /System/Library/PrivateFrameworks/IOPresentment.framework/Versions/A/IOPresentment
0x7fff6def1000 -     0x7fff6df17ffb  com.apple.IconServices (97.6 - 97.6) <A56D826D-20D2-34BE-AACC-A80CFCB4E915> /System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconServices
0x7fff6e19c000 -     0x7fff6e1afff3  com.apple.security.KeychainCircle.KeychainCircle (1.0 - 1) <AED421B0-90A0-3969-98A4-CCBCF2D3360B> /System/Library/PrivateFrameworks/KeychainCircle.framework/Versions/A/KeychainCircle
0x7fff6e1b0000 -     0x7fff6e2a5ff7  com.apple.LanguageModeling (1.0 - 159.5.3) <7F0AC200-E3DD-39FB-8A95-00DD70B66A9F> /System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling
0x7fff6e2a6000 -     0x7fff6e2e8fff  com.apple.Lexicon-framework (1.0 - 33.5) <DC94CF9E-1EB4-3C0E-B298-CA1190885276> /System/Library/PrivateFrameworks/Lexicon.framework/Versions/A/Lexicon
0x7fff6e2ec000 -     0x7fff6e2f3ff7  com.apple.LinguisticData (1.0 - 238.3) <49A54649-1021-3DBD-99B8-1B2EDFFA5378> /System/Library/PrivateFrameworks/LinguisticData.framework/Versions/A/LinguisticData
0x7fff6f005000 -     0x7fff6f06eff7  com.apple.gpusw.MetalTools (1.0 - 1) <458F319A-2707-3C83-8351-BD9F02EC05BD> /System/Library/PrivateFrameworks/MetalTools.framework/Versions/A/MetalTools
0x7fff6f1ee000 -     0x7fff6f207fff  com.apple.MobileKeyBag (2.0 - 1.0) <32E63C7B-E133-33DE-A593-C3C10D64FCAA> /System/Library/PrivateFrameworks/MobileKeyBag.framework/Versions/A/MobileKeyBag
0x7fff6f293000 -     0x7fff6f2bdffb  com.apple.MultitouchSupport.framework (1404.4 - 1404.4) <45374A2A-C0BC-3A70-8183-37295205CDFA> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
0x7fff6f524000 -     0x7fff6f52ffff  com.apple.NetAuth (6.2 - 6.2) <B3795F63-C14A-33E1-9EE6-02A2E7661321> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
0x7fff70dc5000 -     0x7fff70dd5ffb  com.apple.PerformanceAnalysis (1.194 - 194) <2844933E-B71C-3BE9-9A84-27B29E111F13> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
0x7fff72b94000 -     0x7fff72bb2fff  com.apple.ProtocolBuffer (1 - 260) <40704740-4A53-3010-A49B-08D1D69D1D5E> /System/Library/PrivateFrameworks/ProtocolBuffer.framework/Versions/A/ProtocolBuffer
0x7fff72d8d000 -     0x7fff72db0ffb  com.apple.RemoteViewServices (2.0 - 125) <592323D1-CB44-35F1-9921-4C2AB8D920A0> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
0x7fff746cf000 -     0x7fff747e4ff7  com.apple.Sharing (1050.22.2 - 1050.22.2) <4E3CCDF2-EA26-334F-8EBA-79BD28486C9D> /System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing
0x7fff7480f000 -     0x7fff74810ff7  com.apple.performance.SignpostNotification (1.2.6 - 2.6) <8F04800F-3570-3392-A24D-B229FF03F7F9> /System/Library/PrivateFrameworks/SignpostNotification.framework/Versions/A/SignpostNotification
0x7fff75558000 -     0x7fff757f4ff7  com.apple.SkyLight (1.600.0 - 312.103) <27F91170-846C-3E9E-9B8A-788F27C7DAF5> /System/Library/PrivateFrameworks/SkyLight.framework/Versions/A/SkyLight
0x7fff75fbd000 -     0x7fff75fcafff  com.apple.SpeechRecognitionCore (4.6.1 - 4.6.1) <87EE7AB5-6925-3D21-BE00-F155CB457699> /System/Library/PrivateFrameworks/SpeechRecognitionCore.framework/Versions/A/SpeechRecognitionCore
0x7fff76b70000 -     0x7fff76bf9fc7  com.apple.Symbolication (9.3 - 64033) <C2C55C9A-C264-3044-A953-16457148190A> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
0x7fff7716a000 -     0x7fff77172ff7  com.apple.TCC (1.0 - 1) <E1EB7272-FE6F-39AB-83CA-B2B5F2A88D9B> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
0x7fff7737f000 -     0x7fff7743cff7  com.apple.TextureIO (3.7 - 3.7) <F8BAC954-405D-3CC3-AB7B-048C866EF980> /System/Library/PrivateFrameworks/TextureIO.framework/Versions/A/TextureIO
0x7fff774e6000 -     0x7fff774e7fff  com.apple.TrustEvaluationAgent (2.0 - 31) <39F533B2-211E-3635-AF47-23F27749FF4A> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
0x7fff774ed000 -     0x7fff7769cfff  com.apple.UIFoundation (1.0 - 547.5) <86A2FBA7-2709-3894-A3D5-A00C19BAC48D> /System/Library/PrivateFrameworks/UIFoundation.framework/Versions/A/UIFoundation
0x7fff78da5000 -     0x7fff78da7ffb  com.apple.loginsupport (1.0 - 1) <D1232C1B-80EA-3DF8-9466-013695D0846E> /System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport
0x7fff78f0e000 -     0x7fff78f41ff7  libclosured.dylib (551.4) <3FB6B209-51F4-38DA-B1D8-2EE29D5BDD83> /usr/lib/closure/libclosured.dylib
0x7fff78ffb000 -     0x7fff79034ff7  libCRFSuite.dylib (41) <FE5EDB68-2593-3C2E-BBAF-1C52D206F296> /usr/lib/libCRFSuite.dylib
0x7fff79035000 -     0x7fff79040fff  libChineseTokenizer.dylib (28) <53633C9B-A3A8-36F7-A53C-432D802F4BB8> /usr/lib/libChineseTokenizer.dylib
0x7fff790d2000 -     0x7fff790d3ff3  libDiagnosticMessagesClient.dylib (104) <9712E980-76EE-3A89-AEA6-DF4BAF5C0574> /usr/lib/libDiagnosticMessagesClient.dylib
0x7fff7910a000 -     0x7fff792d4ff3  libFosl_dynamic.dylib (17.8) <C58ED77A-4986-31C2-994C-34DDFB8106F0> /usr/lib/libFosl_dynamic.dylib
0x7fff7930c000 -     0x7fff7930cfff  libOpenScriptingUtil.dylib (174) <610F0242-7CE5-3C86-951B-B646562694AF> /usr/lib/libOpenScriptingUtil.dylib
0x7fff79443000 -     0x7fff79447ffb  libScreenReader.dylib (562.18.4) <E239923D-54C9-3BBF-852F-87C09DEF4091> /usr/lib/libScreenReader.dylib
0x7fff79448000 -     0x7fff79449ffb  libSystem.B.dylib (1252.50.4) <CD555F3B-FDDB-35E5-A2FB-FBBF3D62031A> /usr/lib/libSystem.B.dylib
0x7fff794dc000 -     0x7fff794dcfff  libapple_crypto.dylib (109.50.14) <48BA2E76-BF2F-3522-A54E-D7FB7EAF7A57> /usr/lib/libapple_crypto.dylib
0x7fff794dd000 -     0x7fff794f3ff7  libapple_nghttp2.dylib (1.24) <01402BC4-4822-3676-9C80-50D83F816424> /usr/lib/libapple_nghttp2.dylib
0x7fff794f4000 -     0x7fff7951eff3  libarchive.2.dylib (54) <8FC28DD8-E315-3C3E-95FE-D1D2CBE49888> /usr/lib/libarchive.2.dylib
0x7fff7951f000 -     0x7fff795a0fdf  libate.dylib (1.13.1) <178ACDAD-DE7E-346C-A613-1CBF7929AC07> /usr/lib/libate.dylib
0x7fff795a4000 -     0x7fff795a4ff3  libauto.dylib (187) <A05C7900-F8C7-3E75-8D3F-909B40C19717> /usr/lib/libauto.dylib
0x7fff795a5000 -     0x7fff7965dff3  libboringssl.dylib (109.50.14) <E6813F87-B5E4-3F7F-A725-E6A7F2BD02EC> /usr/lib/libboringssl.dylib
0x7fff7965e000 -     0x7fff7966eff3  libbsm.0.dylib (39) <6BC96A72-AFBE-34FD-91B1-748A530D8AE6> /usr/lib/libbsm.0.dylib
0x7fff7966f000 -     0x7fff7967cffb  libbz2.1.0.dylib (38) <0A5086BB-4724-3C14-979D-5AD4F26B5B45> /usr/lib/libbz2.1.0.dylib
0x7fff7967d000 -     0x7fff796d3fff  libc++.1.dylib (400.9) <7D3DACCC-3804-393C-ABC1-1A580FD00CB6> /usr/lib/libc++.1.dylib
0x7fff796d4000 -     0x7fff796f8ff7  libc++abi.dylib (400.8.2) <EF5E37D7-11D9-3530-BE45-B986612D13E2> /usr/lib/libc++abi.dylib
0x7fff796fa000 -     0x7fff7970afff  libcmph.dylib (6) <A5509EE8-7E00-3224-8814-015B077A3CF5> /usr/lib/libcmph.dylib
0x7fff7970b000 -     0x7fff79722fcf  libcompression.dylib (47.60.2) <543F07BF-2F2F-37D5-9866-E84BF659885B> /usr/lib/libcompression.dylib
0x7fff799cd000 -     0x7fff799e5ff7  libcoretls.dylib (155.50.1) <D350052E-DC4D-3185-ADBA-BA48EDCEE955> /usr/lib/libcoretls.dylib
0x7fff799e6000 -     0x7fff799e7ff3  libcoretls_cfhelpers.dylib (155.50.1) <B297F5D8-F2FE-3566-A752-E9D998B9C039> /usr/lib/libcoretls_cfhelpers.dylib
0x7fff79b80000 -     0x7fff79d11fff  libcrypto.35.dylib (22.50.2) <97828BFD-4675-35DF-BE2E-C6D1555BB71D> /usr/lib/libcrypto.35.dylib
0x7fff79eb8000 -     0x7fff79f0eff3  libcups.2.dylib (462.2.4) <908099FB-C70E-38FA-9573-88CB98FDDE29> /usr/lib/libcups.2.dylib
0x7fff7a04e000 -     0x7fff7a04efff  libenergytrace.dylib (16) <A92AB8B8-B986-3CE6-980D-D55090FEF387> /usr/lib/libenergytrace.dylib
0x7fff7a085000 -     0x7fff7a08aff3  libheimdal-asn1.dylib (520.50.6) <E358445A-B84E-31B5-BCCD-7E1397519D96> /usr/lib/libheimdal-asn1.dylib
0x7fff7a0b6000 -     0x7fff7a1a7ff7  libiconv.2.dylib (51.50.1) <2FEC9707-3FAF-3828-A50D-8605086D060F> /usr/lib/libiconv.2.dylib
0x7fff7a1a8000 -     0x7fff7a3cfffb  libicucore.A.dylib (59180.0.1) <34EBADD6-4092-30EC-90E8-F75241E94D76> /usr/lib/libicucore.A.dylib
0x7fff7a41c000 -     0x7fff7a41dfff  liblangid.dylib (128) <39C39393-0D05-301D-93B2-F224FC4949AA> /usr/lib/liblangid.dylib
0x7fff7a41e000 -     0x7fff7a437ffb  liblzma.5.dylib (10) <3D419A50-961F-37D2-8A01-3DC7AB7B8D18> /usr/lib/liblzma.5.dylib
0x7fff7a438000 -     0x7fff7a44eff7  libmarisa.dylib (9) <D6D2D55D-1D2E-3442-B152-B18803C0ABB4> /usr/lib/libmarisa.dylib
0x7fff7a4ff000 -     0x7fff7a727ff7  libmecabra.dylib (779.7.6) <F462F170-E872-3D09-B219-973D5E99C09F> /usr/lib/libmecabra.dylib
0x7fff7a8ff000 -     0x7fff7aa7afff  libnetwork.dylib (1229.70.2) <E185D902-AC7F-3044-87C0-AE2887C59CE7> /usr/lib/libnetwork.dylib
0x7fff7ab01000 -     0x7fff7aeef7e7  libobjc.A.dylib (723) <DD9E5EC5-B507-3249-B700-93433E2D5EDF> /usr/lib/libobjc.A.dylib
0x7fff7af02000 -     0x7fff7af06fff  libpam.2.dylib (22) <7B4D2CE2-1438-387A-9802-5CEEFBF26F86> /usr/lib/libpam.2.dylib
0x7fff7af09000 -     0x7fff7af3dfff  libpcap.A.dylib (79.20.1) <FA13918B-A247-3181-B256-9B852C7BA316> /usr/lib/libpcap.A.dylib
0x7fff7afbc000 -     0x7fff7afd8ffb  libresolv.9.dylib (65) <E8F3415B-4472-3202-8901-41FD87981DB2> /usr/lib/libresolv.9.dylib
0x7fff7b029000 -     0x7fff7b1bcff7  libsqlite3.dylib (274.8.1) <FCAD6A57-829E-3701-B16E-1833D620E0E8> /usr/lib/libsqlite3.dylib
0x7fff7b390000 -     0x7fff7b3f0ff3  libusrtcp.dylib (1229.70.2) <1E065228-D0E3-3808-9405-894056C6BEC0> /usr/lib/libusrtcp.dylib
0x7fff7b3f1000 -     0x7fff7b3f4ffb  libutil.dylib (51.20.1) <216D18E5-0BAF-3EAF-A38E-F6AC37CBABD9> /usr/lib/libutil.dylib
0x7fff7b3f5000 -     0x7fff7b402fff  libxar.1.dylib (400) <0316128D-3B47-3052-995D-97B4FE5491DC> /usr/lib/libxar.1.dylib
0x7fff7b406000 -     0x7fff7b4edfff  libxml2.2.dylib (31.11) <C2B5C43F-9C0B-31E6-8EC0-939591EDAC49> /usr/lib/libxml2.2.dylib
0x7fff7b4ee000 -     0x7fff7b516fff  libxslt.1.dylib (15.12) <4A5E011D-8B29-3135-A52B-9A9070ABD752> /usr/lib/libxslt.1.dylib
0x7fff7b517000 -     0x7fff7b529ffb  libz.1.dylib (70) <48C67CFC-940D-3857-8DAD-857774605352> /usr/lib/libz.1.dylib
0x7fff7b5c5000 -     0x7fff7b5c9ff7  libcache.dylib (80) <092479CB-1008-3A83-BECF-E115F24D13C1> /usr/lib/system/libcache.dylib
0x7fff7b5ca000 -     0x7fff7b5d4ff3  libcommonCrypto.dylib (60118.50.1) <029F5985-9B6E-3DCB-9B96-FD007678C6A7> /usr/lib/system/libcommonCrypto.dylib
0x7fff7b5d5000 -     0x7fff7b5dcfff  libcompiler_rt.dylib (62) <968B8E3F-3681-3230-9D78-BB8732024F6E> /usr/lib/system/libcompiler_rt.dylib
0x7fff7b5dd000 -     0x7fff7b5e6ffb  libcopyfile.dylib (146.50.5) <3885083D-50D8-3EEC-B481-B2E605180D7F> /usr/lib/system/libcopyfile.dylib
0x7fff7b5e7000 -     0x7fff7b66cfff  libcorecrypto.dylib (562.70.1) <5C26364F-2269-31EC-84AF-0FED2C902E38> /usr/lib/system/libcorecrypto.dylib
0x7fff7b6f4000 -     0x7fff7b72dff7  libdispatch.dylib (913.60.2) <232C69BD-022E-3AB9-8807-79F9FA7CB5EC> /usr/lib/system/libdispatch.dylib
0x7fff7b72e000 -     0x7fff7b74bff7  libdyld.dylib (551.4) <81BF3A82-5719-3B54-ABA9-76C82D932CAC> /usr/lib/system/libdyld.dylib
0x7fff7b74c000 -     0x7fff7b74cffb  libkeymgr.dylib (28) <E34E283E-90FA-3C59-B48E-1277CDB9CDCE> /usr/lib/system/libkeymgr.dylib
0x7fff7b74d000 -     0x7fff7b759ff3  libkxld.dylib (4570.71.2) <C3C31E1B-3E74-3828-8429-4D442E26D41C> /usr/lib/system/libkxld.dylib
0x7fff7b75a000 -     0x7fff7b75aff7  liblaunch.dylib (1205.70.9) <B184B521-FF24-3142-AFAF-23D170CF918C> /usr/lib/system/liblaunch.dylib
0x7fff7b75b000 -     0x7fff7b75fffb  libmacho.dylib (906) <1902A611-081A-3452-B11E-EBD1B166E831> /usr/lib/system/libmacho.dylib
0x7fff7b760000 -     0x7fff7b762ff3  libquarantine.dylib (86) <26C0BA22-8F93-3A07-9A4E-C8D53D2CE42E> /usr/lib/system/libquarantine.dylib
0x7fff7b763000 -     0x7fff7b764ff3  libremovefile.dylib (45) <711E18B2-5BBE-3211-A916-56740C27D17A> /usr/lib/system/libremovefile.dylib
0x7fff7b765000 -     0x7fff7b77cfff  libsystem_asl.dylib (356.70.1) <39E46A6F-B228-3E78-B83E-1779F9707A39> /usr/lib/system/libsystem_asl.dylib
0x7fff7b77d000 -     0x7fff7b77dfff  libsystem_blocks.dylib (67) <17303FDF-0D2D-3963-B05E-B4DF63052D47> /usr/lib/system/libsystem_blocks.dylib
0x7fff7b77e000 -     0x7fff7b807ff7  libsystem_c.dylib (1244.50.9) <1187BFE8-4576-3247-8177-481554E1F9E7> /usr/lib/system/libsystem_c.dylib
0x7fff7b808000 -     0x7fff7b80bffb  libsystem_configuration.dylib (963.50.8) <DF6B5287-203E-30CB-9947-78DF446C72B8> /usr/lib/system/libsystem_configuration.dylib
0x7fff7b80c000 -     0x7fff7b80fffb  libsystem_coreservices.dylib (51) <486000D3-D8CB-3BE7-8EE5-8BF380DE6DF7> /usr/lib/system/libsystem_coreservices.dylib
0x7fff7b810000 -     0x7fff7b811fff  libsystem_darwin.dylib (1244.50.9) <09C21A4A-9EE0-388B-A9D9-DFF8F6758791> /usr/lib/system/libsystem_darwin.dylib
0x7fff7b812000 -     0x7fff7b818ff7  libsystem_dnssd.dylib (878.70.2) <3290768B-54DE-3AB6-B155-AC0950AC5564> /usr/lib/system/libsystem_dnssd.dylib
0x7fff7b819000 -     0x7fff7b862ff7  libsystem_info.dylib (517.30.1) <AB634A98-B8AA-3804-8436-38261FC8EC4D> /usr/lib/system/libsystem_info.dylib
0x7fff7b863000 -     0x7fff7b889ff7  libsystem_kernel.dylib (4570.71.2) <F22B8D73-69D8-36D7-BF66-7F9AC70C08C2> /usr/lib/system/libsystem_kernel.dylib
0x7fff7b88a000 -     0x7fff7b8d5fcb  libsystem_m.dylib (3147.50.1) <8CFB51C9-B422-3379-8552-064C63943A23> /usr/lib/system/libsystem_m.dylib
0x7fff7b8d6000 -     0x7fff7b8f5fff  libsystem_malloc.dylib (140.50.6) <7FD43735-9DDD-300E-8C4A-F909A74BDF49> /usr/lib/system/libsystem_malloc.dylib
0x7fff7b8f6000 -     0x7fff7ba26ff7  libsystem_network.dylib (1229.70.2) <5E86B2DE-9E15-3354-8714-4094ED5F698D> /usr/lib/system/libsystem_network.dylib
0x7fff7ba27000 -     0x7fff7ba31ffb  libsystem_networkextension.dylib (767.70.1) <D23EAFC1-E8BD-34D5-969C-6E45A1C3B4E4> /usr/lib/system/libsystem_networkextension.dylib
0x7fff7ba32000 -     0x7fff7ba3bff3  libsystem_notify.dylib (172) <08012EC0-2CD2-34BE-BF93-E7F56491299A> /usr/lib/system/libsystem_notify.dylib
0x7fff7ba3c000 -     0x7fff7ba43ff7  libsystem_platform.dylib (161.50.1) <6355EE2D-5456-3CA8-A227-B96E8F1E2AF8> /usr/lib/system/libsystem_platform.dylib
0x7fff7ba44000 -     0x7fff7ba4ffff  libsystem_pthread.dylib (301.50.1) <0E51CCBA-91F2-34E1-BF2A-FEEFD3D321E4> /usr/lib/system/libsystem_pthread.dylib
0x7fff7ba50000 -     0x7fff7ba53fff  libsystem_sandbox.dylib (765.70.1) <553DFCC6-9D31-3B9C-AB7C-30F6F265786D> /usr/lib/system/libsystem_sandbox.dylib
0x7fff7ba54000 -     0x7fff7ba55ff3  libsystem_secinit.dylib (30) <DE8D14E8-A276-3FF8-AE13-77F7040F33C1> /usr/lib/system/libsystem_secinit.dylib
0x7fff7ba56000 -     0x7fff7ba5dff7  libsystem_symptoms.dylib (820.60.2) <585BDFA2-D54D-39D0-8046-44E824DABD43> /usr/lib/system/libsystem_symptoms.dylib
0x7fff7ba5e000 -     0x7fff7ba71fff  libsystem_trace.dylib (829.70.1) <3A6CB706-8CA6-3616-8AFC-14AAD7FAF187> /usr/lib/system/libsystem_trace.dylib
0x7fff7ba73000 -     0x7fff7ba78ff7  libunwind.dylib (35.3) <BEF3FB49-5604-3B5F-82B5-332B80023AC3> /usr/lib/system/libunwind.dylib
0x7fff7ba79000 -     0x7fff7baa6ff7  libxpc.dylib (1205.70.9) <0BC7AD67-671D-31D4-8B88-C317B8379598> /usr/lib/system/libxpc.dylib

External Modification Summary:

Calls made by other processes targeting this process:
  task_for_pid: 0
  thread_create: 0
  thread_set_state: 0
Calls made by this process:
  task_for_pid: 0
  thread_create: 0
  thread_set_state: 0
Calls made by all processes on this machine:
  task_for_pid: 4065131
  thread_create: 0
  thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=506.0M resident=0K(0%) swapped_out_or_unallocated=506.0M(100%)
Writable regions: Total=208.5M written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=208.5M(100%)

VIRTUAL   REGION

REGION TYPE SIZE COUNT (non-coalesced)

Activity Tracing 256K 2
CG backing stores 1160K 3
CoreImage 24K 3
CoreUI image data 148K 2
CoreUI image file 180K 3
Foundation 4K 2
Kernel Alloc Once 8K 2
MALLOC 182.9M 45
MALLOC guard page 48K 13
Memory Tag 249 156K 2
STACK GUARD 56.1M 23
Stack 18.7M 23
VM_ALLOCATE 4224K 13
VM_ALLOCATE (reserved) 36K 2 reserved VM address space (unallocated)
DATA 52.6M 242
FONT_DATA 4K 2
GLSLBUILTINS 2588K 2
LINKEDIT 223.8M 9
TEXT 282.1M 247
UNICODE 560K 2
mapped file 47.2M 13
shared memory 3816K 14

TOTAL 876.4M 647
TOTAL, minus reserved VM space 876.4M 647

Cannot reproduce here on linux… @Brecht Van Lommel (brecht), can you check on OSX?
@Yanbo Zhang (FrogMan) does it also happen if you start blender with --factory-startup option, make that UI translation change, save user settings and restart?

Yes, with --factory-startup and save user setting, it will not happen again.

Brecht Van Lommel (brecht) raised the priority of this task from Needs Information from User to Normal.Sep 12 2018, 6:29 PM

Thread 0 and thread 21 seems to be calling locale functions at the same time, from copy-on-write depsgraph code.

This reminds me of a boost bug that we worked around in Cycles (T47505), that still does not appear to be fixed:
https://svn.boost.org/trac10/ticket/6320

A similar workaround could be to call bl_locale_pgettext() once with some dummy values when initializing? Translating a single string from the main thread to trigger lazy boost initialization.

@Brecht Van Lommel (brecht) uuuuh… actually think issue is elsewhere - COW copies of IDs also getting their names translated. that we do not want at all! ;)

Will check on how to prevent that behavior.

Bastien Montagne (mont29) lowered the priority of this task from Normal to Needs Information from User.Sep 13 2018, 11:28 AM

@Yanbo Zhang (FrogMan) pushed a commit that probably fixes that issue, can you check with tomorrow's build and confirm? Thanks.

Bastien Montagne (mont29) closed this task as Resolved.Sep 20 2018, 9:01 AM

Assuming that’s solved then…